Package org.wso2.carbon.deployment.synchronizer.internal

## Class DeploymentSyncAxis2ConfigurationContextObserver

- java.lang.Object
- - org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver
  - - org.wso2.carbon.deployment.synchronizer.internal.DeploymentSyncAxis2ConfigurationContextObserver

- All Implemented Interfaces:
    `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`

      public class DeploymentSyncAxis2ConfigurationContextObserver
      extends org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

  Keeps track of tenant configuration context creation and engages the deployment synchronizer for their repositories as necessary.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSyncAxis2ConfigurationContextObserver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `creatingConfigurationContext​(int tenantId)` |
    `void` | `terminatingConfigurationContext​(org.apache.axis2.context.ConfigurationContext configCtx)` |

    - ### Methods inherited from class org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

      `createdConfigurationContext, terminatedConfigurationContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSyncAxis2ConfigurationContextObserver

          public DeploymentSyncAxis2ConfigurationContextObserver()

  - ### Method Detail

    - #### creatingConfigurationContext

          public void creatingConfigurationContext​(int tenantId)

      Specified by:
        `creatingConfigurationContext` in interface `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`
      Overrides:
        `creatingConfigurationContext` in class `org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver`

    - #### terminatingConfigurationContext

          public void terminatingConfigurationContext​(org.apache.axis2.context.ConfigurationContext configCtx)

      Specified by:
        `terminatingConfigurationContext` in interface `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`
      Overrides:
        `terminatingConfigurationContext` in class `org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver`